Summary: 4.4BSD-Lite telnet and telentd with encryption support
Name: SSL-MZtelnet
Version: 0.11.2
Release: 1
Source0: ftp://ftp.uni-mainz.de/pub/internet/security/ssl/SSL-MZapps/SSL-MZtelnet-0.11.2.tar.gz
Copyright: Freely distributable, retain attribution
Group: Networking
Packager: Ben Hochstedler <hochstrb$cs.rose-hulman.edu>
Patch0: SSL-MZtelnet-0.11.1-3a.patch
Patch1: SSL-MZtelnet-0.11.1-4-newline.patch
Icon: ssleay.gif
URL: http://www.replay.com/
BuildRoot:   /tmp/%{name}-%{version}-root
%description
SSL-MZ telnet(d) package with encryption support.
It comes from the 4.4BSD-Lite version of telnet and telnetd and is
patched with the SSL-enhancement by Tim Hudson <tjh@mincom.oz.au>,
which he did to the SRA-telnet sources.

%changelog
* Sun Oct 30 1998 Damien Miller <dmiller@ilogic.com.au> 0.11.2-1
- Updated to security bugfix 0.11.2
- Added newline+verbose patch
- Added hack to get around improperly checked-in source file
- Stopped post-uninstall deletion of server certificate
- Added post-uninstall instruction on how to delete server certificate
- Changed post-install instructions of how to create server certificate
- Fixed typo in filename 'SSL-MZtelnet-liscence.txt'
- Changed 
* Sun Sep 20 1998 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.11.1-3
- Updated to support SSLeay-0.9.0b.  Had to use RCS's co to not have the
  patch setup be interactive.  Moved under /usr
* Mon Apr 13 1998 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.11.1-2
- Added SSL-MZtelnet-liscence.txt
* Sun Sep 14 1997 Ben <hochstrb@cs.rose-hulman.edu> 0.11.1-1
- Initial RPM

%prep
%setup
cd telnetd
co -l Makefile.in
cd ..
rm -f lib/libtelnet/sslapp.c,v
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=/usr --with-ssl=/usr
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m755 --strip telnet/telnet $RPM_BUILD_ROOT/usr/bin/telnet
install -m755 --strip telnetd/telnetd $RPM_BUILD_ROOT/usr/bin/telnetd
install -m644 telnet/telnet.1 $RPM_BUILD_ROOT/usr/man/man1/telnet.1
install -m644 telnetd/telnetd.8 $RPM_BUILD_ROOT/usr/man/man8/telnetd.8

%files
%doc README ANNOUNCE BUGS PLATFORMS README.apps TAGS VERSION SSL-MZtelnet-license.txt 
/usr/bin/telnet
/usr/bin/telnetd
/usr/man/man1/telnet.1
/usr/man/man8/telnetd.8

%post
echo "To generate a self signed certificate (required for telnetd), run the "
echo "following commands:"
echo ""
echo "cd /var/ssl/certs"
echo "ssleay req -new -x509 -nodes -days 365 -out telnetd.pem -keyout telnetd.pem"
echo "ln -s telnetd.pem \`ssleay x509 -noout -hash < telnetd.pem\`.0" 
echo "chmod 644 telnetd.pem"
echo ""

%postun
if [ -r /var/ssl/certs/telnetd.pem ]; then
	echo "You may wish to remove the telnetd certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /var/ssl/certs/`ssleay x509 -noout -hash < /var/ssl/certs/telnetd.pem`.0"
	echo "rm -f /var/ssl/certs/telnetd.pem"
	echo ""
fi
